From fdca256765778eb2a97187123e7fffd7970671a3 Mon Sep 17 00:00:00 2001
From: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
Date: Tue, 4 Jun 2019 10:04:53 +0200
Subject: [PATCH 02/21] Patch to compile with gcc-4.3

thanks to Malcolm MacLeod <mmacleod@webmail.co.za>
---
 include/mico/throw.h | 2 +-
 orb/fast_array.cc    | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/include/mico/throw.h b/include/mico/throw.h
index 28a91a8..7262187 100644
--- a/include/mico/throw.h
+++ b/include/mico/throw.h
@@ -25,7 +25,7 @@
 #define __mico_throw_h__
 
 #include <stdarg.h>
-#include <string.h>
+#include <cstring>
 
 #ifdef HAVE_EXCEPTIONS
 #define MICO_CATCHANY(x) try { x; } catch (...) {}
diff --git a/orb/fast_array.cc b/orb/fast_array.cc
index d2c1272..b0e63ea 100644
--- a/orb/fast_array.cc
+++ b/orb/fast_array.cc
@@ -40,6 +40,7 @@
 
 #endif // FAST_PCH
 
+#include <limits.h>
 
 using namespace std;
 

